/** ###################################################################
**     Filename  : BP_hala.C
**     Project   : BP_hala
**     Processor : MC9S08QE32CWL
**     Version   : Driver 01.11
**     Compiler  : CodeWarrior HCS08 C Compiler
**     Date/Time : 17.4.2012, 17:59
**     Abstract  :
**         Main module.
**         This module contains user's application code.
**     Settings  :
**     Contents  :
**         No public methods
**
** ###################################################################*/
/* MODULE BP_hala */


/* Including needed modules to compile this module/procedure */
#include "Cpu.h"
#include "Events.h"
#include "AD1.h"
#include "TI1.h"
/* Include shared modules, which are used for whole project */
#include "PE_Types.h"
#include "PE_Error.h"
#include "PE_Const.h"
#include "IO_Map.h"
#include "math.h"

int hodnota_okruh1_n=0;             //hodnota v rozmezi 0-100, nactena z A/D prevodniku pro 1. okruh - nelinearizovana
int hodnota_okruh2_n=0;             //hodnota v rozmezi 0-100, nactena z A/D prevodniku pro 2. okruh - nelinearizovana
int hodnota_okruh3_n=0;             //hodnota v rozmezi 0-100, nactena z A/D prevodniku pro 3. okruh - nelinearizovana
int hodnota_okruh4_n=0;             //hodnota v rozmezi 0-100, nactena z A/D prevodniku pro 4. okruh - nelinearizovana
int hodnota_okruh1_l=0;             //hodnota v rozmezi 0-100, nactena z A/D prevodniku pro 1. okruh - linearizovana
int hodnota_okruh2_l=0;             //hodnota v rozmezi 0-100, nactena z A/D prevodniku pro 2. okruh - linearizovana 
int hodnota_okruh3_l=0;             //hodnota v rozmezi 0-100, nactena z A/D prevodniku pro 3. okruh - linearizovana 
int hodnota_okruh4_l=0;             //hodnota v rozmezi 0-100, nactena z A/D prevodniku pro 4. okruh - linearizovana
bool prevod_adc=0;                  //priznak uspesneho prevedu od adc
bool prevod_linearizace=0;          //priznak uspesnoho prevodu linearizace


/********funkce pro ziskani hodnot z adc******************************************************/
/*********************************************************************************************/
void prevadeni_adc(){

    ADCSC1_ADCH=0x00;               //pro cteni z 0. pinu portu C
    while (ADCSC1_COCO == 0);       //cekani na konec prevodu
    hodnota_okruh1_n=ADCRL*100/255;  //precteni hodnoty a prevod na rozmezi 0-100 integer
   
    ADCSC1_ADCH=0x01;               //pro cteni z 1.pinu portu C
    while (ADCSC1_COCO == 0);       //cekani na konec prevodu
    hodnota_okruh2_n=ADCRL*100/255; //precteni hodnoty a prevod na rozmezi 0-100 integer
   
    ADCSC1_ADCH=0x02;               //pro cteni z 2.
    while (ADCSC1_COCO == 0);       //cekani na konec prevodu
    hodnota_okruh3_n=ADCRL*100/255; //precteni hodnoty a prevod na rozmezi 0-100 integer
   
    ADCSC1_ADCH=0x03;               //pro cteni z 3.
    while (ADCSC1_COCO == 0);       //cekani na konec prevodu
    hodnota_okruh4_n=ADCRL*100/255; //precteni hodnoty a prevod na rozmezi 0-100 integer
  
    prevod_adc=1;                   //priznak, ze prevod vsech je komplenti
}
/*********************************************************************************************/
/*********************************************************************************************/

/******funkce pro linearizaci useku zavislosti intenzity osvetleni na napeti, 10 useku********/
/*********************************************************************************************/
void linearizace(){

//====================OKRUH1========================================================
    //linearizace pro prvni okruh
    hodnota_okruh1_l=(((2.381+sqrt(5.669+(12527.2*hodnota_okruh1_n/30.3030)))/(62.072))*30.3030);
    
    //osetreni rozsahu
    if(hodnota_okruh1_n <= 0) {
        hodnota_okruh1_l=0;
    } else if(hodnota_okruh1_n >= 100){
        hodnota_okruh1_l=100;
    }
    
//================================================================================== 
    
//====================OKRUH2========================================================
    //linearizace pro druhy okruh
    hodnota_okruh2_l=(((2.381+sqrt(5.669+(12527.2*hodnota_okruh2_n/30.3030)))/(62.072))*30.3030);
    
    //osetreni rozsahu
    if(hodnota_okruh2_n <= 0) {
        hodnota_okruh2_l=0;
    } else if(hodnota_okruh2_n >= 100){
        hodnota_okruh2_l=100;
    }
//==================================================================================      

//====================OKRUH3========================================================
    //linearizace pro treti okruh
    hodnota_okruh3_l=(((2.381+sqrt(5.669+(12527.2*hodnota_okruh3_n/30.3030)))/(62.072))*30.3030);
    
    //osetreni rozsahu
    if(hodnota_okruh3_n <= 0) {
        hodnota_okruh3_l=0;
    } else if(hodnota_okruh3_n >= 100){
        hodnota_okruh3_l=100;
    }
//==================================================================================      

//====================OKRUH4========================================================
    //linearizace pro ctvrty okruh
    hodnota_okruh4_l=(((2.381+sqrt(5.669+(12527.2*hodnota_okruh4_n/30.3030)))/(62.072))*30.3030);
    
    //osetreni rozsahu
    if(hodnota_okruh4_n <= 0) {
        hodnota_okruh4_l=0;
    } else if(hodnota_okruh4_n >= 100){
        hodnota_okruh4_l=100;
    }  
//==================================================================================           
    prevod_linearizace=1;         //priznakovy bit, linearizace je kompletni
}
/*********************************************************************************************/
/*********************************************************************************************/

/* User includes (#include below this line is not maintained by Processor Expert) */

void main(void)
{
  /* Write your local variable definition here */
  PTCDD=255;              //port C jako vystup
  /*** Processor Expert internal initialization. DON'T REMOVE THIS CODE!!! ***/
  PE_low_level_init();
  /*** End of Processor Expert internal initialization.                    ***/

  /* Write your code here */
  /* For example: for(;;) { } */
  
  for(;;){
    prevadeni_adc();      //volani funkce pro prevadeni ADC
    linearizace();        //volani funkce pro linearizaci
  }
  
  /*** Don't write any code pass this line, or it will be deleted during code generation. ***/
  /*** Processor Expert end of main routine. DON'T MODIFY THIS CODE!!! ***/
  for(;;){}
  /*** Processor Expert end of main routine. DON'T WRITE CODE BELOW!!! ***/
} /*** End of main routine. DO NOT MODIFY THIS TEXT!!! ***/

/* END BP_hala */
/*
** ###################################################################
**
**     This file was created by Processor Expert 3.07 [04.34]
**     for the Freescale HCS08 series of microcontrollers.
**
** ###################################################################
*/
