directories
end_directories;

settings
  operation_mode = real_time;
  startup_options
    call_procedures = false;
    activate_receivers = true;
    output_action = set_local;
  end_startup_options;
end_settings;

driver
  saia {driver = 'saia.dll'; map_file = 'saia.dmf'; parameter_file = 'saia.par'};
end_driver;

data

  channel kanal;
    zvyseni_cw_ok1 : boolean {driver = saia; driver_index = 450; direction = output};
    snizeni_cw_ok1 : boolean {driver = saia; driver_index = 451; direction = output};
    reset_cw_ok1 : boolean {driver = saia; driver_index = 452; direction = output};
    zvyseni_cw_ok2 : boolean {driver = saia; driver_index = 453; direction = output};
    snizeni_cw_ok2 : boolean {driver = saia; driver_index = 454; direction = output};
    reset_cw_ok2 : boolean {driver = saia; driver_index = 455; direction = output};
    zvyseni_cw_ok3 : boolean {driver = saia; driver_index = 456; direction = output};
    snizeni_cw_ok3 : boolean {driver = saia; driver_index = 457; direction = output};
    reset_cw_ok3 : boolean {driver = saia; driver_index = 458; direction = output};
    zvyseni_cw_ok4 : boolean {driver = saia; driver_index = 459; direction = output};
    snizeni_cw_ok4 : boolean {driver = saia; driver_index = 460; direction = output};
    reset_cw_ok4 : boolean {driver = saia; driver_index = 461; direction = output};
    rezim : real {driver = saia; driver_index = 200; direction = output};
    zadana_ok1 : real {driver = saia; driver_index = 100; direction = input};
    zadana_ok2 : real {driver = saia; driver_index = 101; direction = input};
    zadana_ok3 : real {driver = saia; driver_index = 102; direction = input};
    zadana_ok4 : real {driver = saia; driver_index = 103; direction = input};
    regulovana_ok1 : real {driver = saia; driver_index = 104; direction = input};
    regulovana_ok2 : real {driver = saia; driver_index = 105; direction = input};
    regulovana_ok3 : real {driver = saia; driver_index = 106; direction = input};
    regulovana_ok4 : real {driver = saia; driver_index = 107; direction = input};
    odchylka_ok1 : real {driver = saia; driver_index = 108; direction = input};
    odchylka_ok2 : real {driver = saia; driver_index = 109; direction = input};
    odchylka_ok3 : real {driver = saia; driver_index = 110; direction = input};
    odchylka_ok4 : real {driver = saia; driver_index = 111; direction = input};
    vystup_ok1 : real {driver = saia; driver_index = 112; direction = input};
    vystup_ok2 : real {driver = saia; driver_index = 113; direction = input};
    vystup_ok3 : real {driver = saia; driver_index = 114; direction = input};
    vystup_ok4 : real {driver = saia; driver_index = 115; direction = input};
    rezim_cw : boolean {driver = saia; driver_index = 465; direction = output};
  end_channel;

end_data;

instrument

  panel backpane;
    rem = 'hlavn panel aplikace';
    gui
      owner = background;
      position = 50, 20, 883, 685;
      visibility = false;
      window
        type = normal;
        title = 'hala';
        disable = zoom;
      end_window;
    end_gui;
    colors
      color = 212, 233, 241;
    end_colors;

    procedure OnStartup();
    begin
      MoveTo( WorkX + WorkW / 2 - ( 640 + NoZoomWinReduceW ) / 2, WorkY + WorkD / 2 - ( 480 + NoZoomWinReduceD ) / 2 );
      Show();
      Select();
    end_procedure;

  end_panel;

  chart chart_7;
    activity
      period = 0.5;
    end_activity;
    gui
      owner = backpane;
      position = 480, 440, 300, 225;
    end_gui;
    mode = sweep_graph;
    content = med;
    range_to = 10;
    low_limit = 0;
    high_limit = 0;
    history = 100;
    h_grid = 9;
    v_grid = 9;
    item
      expression = zadana_ok4 / 1024 * 10;
      color = lred;
    end_item;
    item
      expression = regulovana_ok4 / 1024 * 10;
      color = lblue;
    end_item;
    colors
      paper = black;
      low_limit = lblue;
    end_colors;
  end_chart;

  chart chart_7;
    activity
      period = 0.5;
    end_activity;
    gui
      owner = backpane;
      position = 40, 440, 300, 225;
    end_gui;
    mode = sweep_graph;
    content = med;
    range_to = 10;
    low_limit = 0;
    high_limit = 0;
    history = 100;
    h_grid = 9;
    v_grid = 9;
    item
      expression = zadana_ok3 / 1024 * 10;
      color = lred;
    end_item;
    item
      expression = regulovana_ok3 / 1024 * 10;
      color = lblue;
    end_item;
    colors
      paper = black;
      low_limit = lblue;
    end_colors;
  end_chart;

  chart chart_7;
    activity
      period = 0.5;
    end_activity;
    gui
      owner = backpane;
      position = 480, 170, 300, 225;
    end_gui;
    mode = sweep_graph;
    content = med;
    range_to = 10;
    low_limit = 0;
    high_limit = 0;
    history = 100;
    h_grid = 9;
    v_grid = 9;
    item
      expression = zadana_ok2 / 1024 * 10;
      color = lred;
    end_item;
    item
      expression = regulovana_ok2 / 1024 * 10;
      color = lblue;
    end_item;
    colors
      paper = black;
      low_limit = lblue;
    end_colors;
  end_chart;

  label label_1;
    gui
      owner = backpane;
      position = 790, 590;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 8, bold;
      text = 'odchylka [V]';
    end_text_list;
    colors
      paper = 122, 195, 255;
    end_colors;
  end_label;

  label label_1;
    gui
      owner = backpane;
      position = 350, 590;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 8, bold;
      text = 'odchylka [V]';
    end_text_list;
    colors
      paper = 122, 195, 255;
    end_colors;
  end_label;

  label label_1;
    gui
      owner = backpane;
      position = 785, 530;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 8, bold;
      text = 'regul. vel. [V]';
    end_text_list;
    colors
      paper = 122, 195, 255;
    end_colors;
  end_label;

  label label_1;
    gui
      owner = backpane;
      position = 345, 530;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 8, bold;
      text = 'regul. vel. [V]';
    end_text_list;
    colors
      paper = 122, 195, 255;
    end_colors;
  end_label;

  label label_1;
    gui
      owner = backpane;
      position = 780, 470;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 8, bold;
      text = 'dan hod. [V]';
    end_text_list;
    colors
      paper = 122, 195, 255;
    end_colors;
  end_label;

  label label_1;
    gui
      owner = backpane;
      position = 340, 470;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 8, bold;
      text = 'dan hod. [V]';
    end_text_list;
    colors
      paper = 122, 195, 255;
    end_colors;
  end_label;

  label label_1;
    gui
      owner = backpane;
      position = 790, 320;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 8, bold;
      text = 'odchylka [V]';
    end_text_list;
    colors
      paper = 122, 195, 255;
    end_colors;
  end_label;

  label label_1;
    gui
      owner = backpane;
      position = 785, 255;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 8, bold;
      text = 'regul. vel. [V]';
    end_text_list;
    colors
      paper = 122, 195, 255;
    end_colors;
  end_label;

  label label_1;
    gui
      owner = backpane;
      position = 780, 200;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 8, bold;
      text = 'dan hod. [V]';
    end_text_list;
    colors
      paper = 122, 195, 255;
    end_colors;
  end_label;

  label label_1;
    gui
      owner = backpane;
      position = 465, 430;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_direction = vertical_up;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 8, bold;
      text = 'dan hodnota w [V]';
    end_text_list;
    colors
      paper = 122, 195, 255;
      ink = lred;
    end_colors;
  end_label;

  label label_1;
    gui
      owner = backpane;
      position = 450, 435;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_direction = vertical_up;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 8, bold;
      text = 'Regulovan veliina y [V]';
    end_text_list;
    colors
      paper = 122, 195, 255;
      ink = blue;
    end_colors;
  end_label;

  label label_1;
    gui
      owner = backpane;
      position = 25, 430;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_direction = vertical_up;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 8, bold;
      text = 'dan hodnota w [V]';
    end_text_list;
    colors
      paper = 122, 195, 255;
      ink = lred;
    end_colors;
  end_label;

  label label_1;
    gui
      owner = backpane;
      position = 10, 435;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_direction = vertical_up;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 8, bold;
      text = 'Regulovan veliina y [V]';
    end_text_list;
    colors
      paper = 122, 195, 255;
      ink = blue;
    end_colors;
  end_label;

  label label_1;
    gui
      owner = backpane;
      position = 465, 160;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_direction = vertical_up;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 8, bold;
      text = 'dan hodnota w [V]';
    end_text_list;
    colors
      paper = 122, 195, 255;
      ink = lred;
    end_colors;
  end_label;

  label label_1;
    gui
      owner = backpane;
      position = 450, 165;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_direction = vertical_up;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 8, bold;
      text = 'Regulovan veliina y [V]';
    end_text_list;
    colors
      paper = 122, 195, 255;
      ink = blue;
    end_colors;
  end_label;

  label label_1;
    gui
      owner = backpane;
      position = 710, 55;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 8, bold;
      text = 'HW / CW';
    end_text_list;
    colors
      paper = lgray;
    end_colors;
  end_label;

  label label_1;
    gui
      owner = backpane;
      position = 715, 40;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 8, bold;
      text = 'Reimy';
    end_text_list;
    colors
      paper = lgray;
    end_colors;
  end_label;

  switch switch_13;
    gui
      owner = backpane;
      position = 715, 85, 46, 46;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    output = rezim_cw;
  end_switch;

  meter meter_1;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = backpane;
      position = 785, 350, 85, 30;
    end_gui;
    expression = vystup_ok2 / 255 * 10;
    mode = digital;
  end_meter;

  meter meter_1;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = backpane;
      position = 345, 620, 85, 30;
    end_gui;
    expression = vystup_ok3 / 255 * 10;
    mode = digital;
  end_meter;

  meter meter_1;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = backpane;
      position = 345, 350, 85, 30;
    end_gui;
    expression = vystup_ok1 / 255 * 10;
    mode = digital;
  end_meter;

  meter meter_1;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = backpane;
      position = 785, 620, 85, 30;
    end_gui;
    expression = vystup_ok4 / 255 * 10;
    mode = digital;
  end_meter;

  meter meter_1;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = backpane;
      position = 785, 290, 85, 30;
    end_gui;
    expression = odchylka_ok2 / 1024 * 10;
    mode = digital;
    range_from = -1000;
    range_to = 1000;
    low_limit = -0.098;
    high_limit = 0.098;
    dec_places = 3;
    colors
      low_limit = lred;
    end_colors;
  end_meter;

  meter meter_1;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = backpane;
      position = 345, 560, 85, 30;
    end_gui;
    expression = odchylka_ok3 / 1024 * 10;
    mode = digital;
    range_from = -1000;
    range_to = 1000;
    low_limit = -0.098;
    high_limit = 0.098;
    dec_places = 3;
    colors
      low_limit = lred;
    end_colors;
  end_meter;

  meter meter_1;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = backpane;
      position = 785, 560, 85, 30;
    end_gui;
    expression = odchylka_ok4 / 1024 * 10;
    mode = digital;
    range_from = -1000;
    range_to = 1000;
    low_limit = -0.098;
    high_limit = 0.098;
    dec_places = 3;
    colors
      low_limit = lred;
    end_colors;
  end_meter;

  meter meter_1;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = backpane;
      position = 345, 290, 85, 30;
    end_gui;
    expression = odchylka_ok1 / 1024 * 10;
    mode = digital;
    range_from = -1000;
    range_to = 1000;
    low_limit = -0.098;
    high_limit = 0.098;
    dec_places = 3;
    colors
      low_limit = lred;
    end_colors;
  end_meter;

  meter meter_1;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = backpane;
      position = 785, 225, 85, 30;
    end_gui;
    expression = regulovana_ok2 / 1024 * 10;
    mode = digital;
    range_to = 1000;
    low_limit = 0;
    high_limit = 1000;
  end_meter;

  meter meter_1;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = backpane;
      position = 345, 500, 85, 30;
    end_gui;
    expression = regulovana_ok3 / 1024 * 10;
    mode = digital;
    range_to = 1000;
    low_limit = 0;
    high_limit = 1000;
  end_meter;

  meter meter_1;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = backpane;
      position = 345, 225, 85, 30;
    end_gui;
    expression = regulovana_ok1 / 1024 * 10;
    mode = digital;
    range_to = 1000;
    low_limit = 0;
    high_limit = 1000;
  end_meter;

  meter meter_1;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = backpane;
      position = 785, 500, 85, 30;
    end_gui;
    expression = regulovana_ok4 / 1024 * 10;
    mode = digital;
    range_to = 1000;
    low_limit = 0;
    high_limit = 1000;
  end_meter;

  meter meter_1;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = backpane;
      position = 785, 440, 85, 30;
    end_gui;
    expression = zadana_ok4 / 1024 * 10;
    mode = digital;
    range_to = 1000;
    low_limit = 0;
    high_limit = 1000;
  end_meter;

  meter meter_1;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = backpane;
      position = 345, 440, 85, 30;
    end_gui;
    expression = zadana_ok3 / 1024 * 10;
    mode = digital;
    range_to = 1000;
    low_limit = 0;
    high_limit = 1000;
  end_meter;

  meter meter_1;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = backpane;
      position = 785, 170, 85, 30;
    end_gui;
    expression = zadana_ok2 / 1024 * 10;
    mode = digital;
    range_to = 1000;
    low_limit = 0;
    high_limit = 1000;
  end_meter;

  label label_1;
    gui
      owner = backpane;
      position = 25, 160;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_direction = vertical_up;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 8, bold;
      text = 'dan hodnota w [V]';
    end_text_list;
    colors
      paper = 122, 195, 255;
      ink = lred;
    end_colors;
  end_label;

  label label_1;
    gui
      owner = backpane;
      position = 10, 165;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_direction = vertical_up;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 8, bold;
      text = 'Regulovan veliina y [V]';
    end_text_list;
    colors
      paper = 122, 195, 255;
      ink = blue;
    end_colors;
  end_label;

  label label_1;
    gui
      owner = backpane;
      position = 550, 150;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 11, bold;
      text = 'Regulace - Okruh 2';
    end_text_list;
    colors
      paper = 122, 195, 255;
    end_colors;
  end_label;

  label label_1;
    gui
      owner = backpane;
      position = 550, 420;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 11, bold;
      text = 'Regulace - Okruh 4';
    end_text_list;
    colors
      paper = 122, 195, 255;
    end_colors;
  end_label;

  label label_1;
    gui
      owner = backpane;
      position = 110, 420;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 11, bold;
      text = 'Regulace - Okruh 3';
    end_text_list;
    colors
      paper = 122, 195, 255;
    end_colors;
  end_label;

  label label_1;
    gui
      owner = backpane;
      position = 110, 150;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 11, bold;
      text = 'Regulace - Okruh 1';
    end_text_list;
    colors
      paper = 122, 195, 255;
    end_colors;
  end_label;

  label label_1;
    gui
      owner = backpane;
      position = 265, 665;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 8, bold;
      text = 'as t [5s/d]';
    end_text_list;
    colors
      paper = 122, 195, 255;
    end_colors;
  end_label;

  label label_1;
    gui
      owner = backpane;
      position = 705, 665;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 8, bold;
      text = 'as t [5s/d]';
    end_text_list;
    colors
      paper = 122, 195, 255;
    end_colors;
  end_label;

  label label_1;
    gui
      owner = backpane;
      position = 705, 395;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 8, bold;
      text = 'as t [5s/d]';
    end_text_list;
    colors
      paper = 122, 195, 255;
    end_colors;
  end_label;

  label label_1;
    gui
      owner = backpane;
      position = 265, 395;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 8, bold;
      text = 'as t [5s/d]';
    end_text_list;
    colors
      paper = 122, 195, 255;
    end_colors;
  end_label;

  label label_1;
    gui
      owner = backpane;
      position = 340, 650;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 8, bold;
      text = 'vstup. nap. [V]';
    end_text_list;
    colors
      paper = 122, 195, 255;
    end_colors;
  end_label;

  label label_1;
    gui
      owner = backpane;
      position = 780, 650;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 8, bold;
      text = 'vstup. nap. [V]';
    end_text_list;
    colors
      paper = 122, 195, 255;
    end_colors;
  end_label;

  label label_1;
    gui
      owner = backpane;
      position = 780, 380;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 8, bold;
      text = 'vstup. nap. [V]';
    end_text_list;
    colors
      paper = 122, 195, 255;
    end_colors;
  end_label;

  label label_1;
    gui
      owner = backpane;
      position = 340, 380;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 8, bold;
      text = 'vstup. nap. [V]';
    end_text_list;
    colors
      paper = 122, 195, 255;
    end_colors;
  end_label;

  label label_1;
    gui
      owner = backpane;
      position = 350, 320;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 8, bold;
      text = 'odchylka [V]';
    end_text_list;
    colors
      paper = 122, 195, 255;
    end_colors;
  end_label;

  label label_1;
    gui
      owner = backpane;
      position = 340, 200;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 8, bold;
      text = 'dan hod. [V]';
    end_text_list;
    colors
      paper = 122, 195, 255;
    end_colors;
  end_label;

  label label_1;
    gui
      owner = backpane;
      position = 345, 255;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 8, bold;
      text = 'regul. vel. [V]';
    end_text_list;
    colors
      paper = 122, 195, 255;
    end_colors;
  end_label;

  label label_1;
    gui
      owner = backpane;
      position = 650, 115;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 8, bold;
      text = 'reset';
    end_text_list;
    colors
      paper = lgray;
    end_colors;
  end_label;

  label label_1;
    gui
      owner = backpane;
      position = 595, 115;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 8, bold;
      text = 'snen';
    end_text_list;
    colors
      paper = lgray;
    end_colors;
  end_label;

  label label_1;
    gui
      owner = backpane;
      position = 540, 115;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 8, bold;
      text = 'zven';
    end_text_list;
    colors
      paper = lgray;
    end_colors;
  end_label;

  label label_1;
    gui
      owner = backpane;
      position = 475, 115;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 8, bold;
      text = 'reset';
    end_text_list;
    colors
      paper = lgray;
    end_colors;
  end_label;

  label label_1;
    gui
      owner = backpane;
      position = 420, 115;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 8, bold;
      text = 'snen';
    end_text_list;
    colors
      paper = lgray;
    end_colors;
  end_label;

  label label_1;
    gui
      owner = backpane;
      position = 365, 115;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 8, bold;
      text = 'zven';
    end_text_list;
    colors
      paper = lgray;
    end_colors;
  end_label;

  label label_1;
    gui
      owner = backpane;
      position = 300, 115;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 8, bold;
      text = 'reset';
    end_text_list;
    colors
      paper = lgray;
    end_colors;
  end_label;

  label label_1;
    gui
      owner = backpane;
      position = 245, 115;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 8, bold;
      text = 'snen';
    end_text_list;
    colors
      paper = lgray;
    end_colors;
  end_label;

  label label_1;
    gui
      owner = backpane;
      position = 190, 115;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 8, bold;
      text = 'zven';
    end_text_list;
    colors
      paper = lgray;
    end_colors;
  end_label;

  label label_1;
    gui
      owner = backpane;
      position = 125, 115;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 8, bold;
      text = 'reset';
    end_text_list;
    colors
      paper = lgray;
    end_colors;
  end_label;

  label label_1;
    gui
      owner = backpane;
      position = 70, 115;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 8, bold;
      text = 'snen';
    end_text_list;
    colors
      paper = lgray;
    end_colors;
  end_label;

  label label_1;
    gui
      owner = backpane;
      position = 15, 115;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 8, bold;
      text = 'zven';
    end_text_list;
    colors
      paper = lgray;
    end_colors;
  end_label;

  label label_1;
    gui
      owner = backpane;
      position = 800, 40;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 8, bold;
      text = 'Reim';
    end_text_list;
    colors
      paper = lgray;
    end_colors;
  end_label;

  control control_2;
    gui
      owner = backpane;
      position = 785, 50, 82, 85;
    end_gui;
    output = rezim;
    mode = turn;
    content = max;
    range_from = 1;
    range_to = 2;
    init_value = 1;
    dec_places = 0;
    colors
      border_ink = lgray;
      border_paper = lgray;
      paper = lgray;
      text_paper = white;
    end_colors;
  end_control;

  meter meter_1;
    activity
      period = 0.1;
    end_activity;
    gui
      owner = backpane;
      position = 345, 170, 85, 30;
    end_gui;
    expression = zadana_ok1 / 1024 * 10;
    mode = digital;
    range_to = 1000;
    low_limit = 0;
    high_limit = 1000;
  end_meter;

  label label_1;
    gui
      owner = backpane;
      position = 235, 40;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 12, bold;
      text = 'Okruh 2';
    end_text_list;
    colors
      paper = lgray;
    end_colors;
  end_label;

  label label_1;
    gui
      owner = backpane;
      position = 410, 40;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 12, bold;
      text = 'Okruh 3';
    end_text_list;
    colors
      paper = lgray;
    end_colors;
  end_label;

  label label_1;
    gui
      owner = backpane;
      position = 585, 40;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 12, bold;
      text = 'Okruh 4';
    end_text_list;
    colors
      paper = lgray;
    end_colors;
  end_label;

  label label_1;
    gui
      owner = backpane;
      position = 60, 40;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 12, bold;
      text = 'Okruh 1';
    end_text_list;
    colors
      paper = lgray;
    end_colors;
  end_label;

  switch switch_12;
    gui
      owner = backpane;
      position = 595, 65, 46, 46;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    output = kanal.snizeni_cw_ok4;
    logic = set_true_on_press;
  end_switch;

  switch switch_13;
    gui
      owner = backpane;
      position = 645, 65, 46, 46;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    output = reset_cw_ok4;
    logic = set_true_on_press;
  end_switch;

  switch switch_11;
    gui
      owner = backpane;
      position = 545, 65, 46, 46;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    output = zvyseni_cw_ok4;
    logic = set_true_on_press;
  end_switch;

  switch switch_10;
    gui
      owner = backpane;
      position = 470, 65, 46, 46;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    output = reset_cw_ok3;
    logic = set_true_on_press;
  end_switch;

  switch switch_9;
    gui
      owner = backpane;
      position = 420, 65, 46, 46;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    output = snizeni_cw_ok3;
    logic = set_true_on_press;
  end_switch;

  switch switch_8;
    gui
      owner = backpane;
      position = 370, 65, 46, 46;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    output = zvyseni_cw_ok3;
    logic = set_true_on_press;
  end_switch;

  switch switch_6;
    gui
      owner = backpane;
      position = 245, 65, 46, 46;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    output = snizeni_cw_ok2;
    logic = set_true_on_press;
  end_switch;

  switch switch_7;
    gui
      owner = backpane;
      position = 295, 65, 46, 46;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    output = reset_cw_ok2;
    logic = set_true_on_press;
  end_switch;

  switch switch_5;
    gui
      owner = backpane;
      position = 195, 65, 46, 46;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    output = zvyseni_cw_ok2;
    logic = set_true_on_press;
  end_switch;

  switch switch_4;
    gui
      owner = backpane;
      position = 120, 65, 46, 46;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    output = reset_cw_ok1;
    logic = set_true_on_press;
  end_switch;

  switch switch_3;
    gui
      owner = backpane;
      position = 70, 65, 46, 46;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    output = snizeni_cw_ok1;
    logic = set_true_on_press;
  end_switch;

  switch switch_2;
    gui
      owner = backpane;
      position = 20, 65, 46, 46;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    output = zvyseni_cw_ok1;
    logic = set_true_on_press;
  end_switch;

  label label_1;
    gui
      owner = backpane;
      position = 340, 5;
      window
        disable = zoom, maximize;
      end_window;
    end_gui;
    text_list
      font = 'Microsoft Sans Serif (Central European)', 16, bold;
      text = 'Osvtlen - hala';
    end_text_list;
    colors
      paper = 212, 233, 241;
    end_colors;
  end_label;

  chart chart_7;
    activity
      period = 0.5;
    end_activity;
    gui
      owner = backpane;
      position = 40, 170, 300, 225;
    end_gui;
    mode = sweep_graph;
    content = med;
    range_to = 10;
    low_limit = 0;
    high_limit = 0;
    history = 100;
    h_grid = 9;
    v_grid = 9;
    item
      expression = zadana_ok1 / 1024 * 10;
      color = lred;
    end_item;
    item
      expression = regulovana_ok1 / 1024 * 10;
      color = lblue;
    end_item;
    colors
      paper = black;
      low_limit = lblue;
    end_colors;
  end_chart;

  box box_14;
    gui
      owner = backpane;
      position = 5, 145, 435, 265;
    end_gui;
    colors
      interior = 122, 195, 255;
    end_colors;
  end_box;

  box box_14;
    gui
      owner = backpane;
      position = 705, 35, 65, 105;
    end_gui;
    colors
      interior = lgray;
    end_colors;
  end_box;

  box box_14;
    gui
      owner = backpane;
      position = 775, 35, 100, 105;
    end_gui;
    colors
      interior = lgray;
    end_colors;
  end_box;

  box box_14;
    gui
      owner = backpane;
      position = 445, 415, 435, 265;
    end_gui;
    colors
      interior = 122, 195, 255;
    end_colors;
  end_box;

  box box_14;
    gui
      owner = backpane;
      position = 445, 145, 435, 265;
    end_gui;
    colors
      interior = 122, 195, 255;
    end_colors;
  end_box;

  box box_14;
    gui
      owner = backpane;
      position = 5, 415, 435, 265;
    end_gui;
    colors
      interior = 122, 195, 255;
    end_colors;
  end_box;

  box box_14;
    gui
      owner = backpane;
      position = 535, 35, 165, 105;
    end_gui;
    colors
      interior = lgray;
    end_colors;
  end_box;

  box box_14;
    gui
      owner = backpane;
      position = 360, 35, 165, 105;
    end_gui;
    colors
      interior = lgray;
    end_colors;
  end_box;

  box box_14;
    gui
      owner = backpane;
      position = 185, 35, 165, 105;
    end_gui;
    colors
      interior = lgray;
    end_colors;
  end_box;

  box box_14;
    gui
      owner = backpane;
      position = 10, 35, 165, 105;
    end_gui;
    colors
      interior = lgray;
    end_colors;
  end_box;

end_instrument;

